| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # StdInInputSource Class Reference This class is a derivative of the standard InputSource class. More... Inheritance diagram for StdInInputSource: [legend] List of all members.
## Public Member Functions
Constructor
| StdInInputSource (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Since the standard input is a canned source, the constructor is very simple.
Destructor
| ~StdInInputSource ()
Virtual methods
BinInputStream * | makeStream () const
| This method will return a binary input stream derivative that will parse from the standard input of the local host.
## Detailed Description This class is a derivative of the standard InputSource class. It provides for the parser access to data via the standard input. This input source is not commonly used, but can be useful when implementing such things as pipe based tools which exchange XML data. As with all InputSource derivatives. The primary objective of an input source is to create an input stream via which the parser can spool in data from the referenced source. ## Constructor & Destructor Documentation
StdInInputSource::StdInInputSource | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
Since the standard input is a canned source, the constructor is very simple. It just uses local platform services to open up the standard input source as file, a new handleof which it gives to each new stream it creates.
StdInInputSource::~StdInInputSource | ( |  | ) |
## Member Function Documentation
BinInputStream* StdInInputSource::makeStream | ( |  | ) | const`[virtual]`
This method will return a binary input stream derivative that will parse from the standard input of the local host. Returns: A dynamically allocated binary input stream derivative that can parse from the standardinput. Implements InputSource. The documentation for this class was generated from the following file: StdInInputSource.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.